Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkActor2D Class Reference

`#include <vtkActor2D.h>`

Inheritance diagram for vtkActor2D:

[legend]
Collaboration diagram for vtkActor2D:

[legend]
List of all members.

## Detailed Description

a actor that draws 2D data

Date:
  2002/06/07 23:07:36

Revision:
  1.38

vtkActor2D is similar to vtkActor, but it is made to be used with two dimensional images and annotation. vtkActor2D has a position but does not use a transformation matrix like vtkActor (see the superclass vtkProp for information on positioning vtkActor2D). vtkActor2D has a reference to a vtkMapper2D object which does the rendering.

See also:
  vtkProp vtkMapper2D vtkProperty2D

Created by:
  - Turek, Matt

CVS contributions (if > 5%):
  - Martin, Ken (37%)
  - Turek, Matt (35%)
  - Schroeder, Will (10%)
  - Biddiscombe, John (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkActor2D.cxx)`
  - .`h` (`/Common/vtkActor2D.h)`

Examples:
  vtkActor2D (Examples)

Tests:
  vtkActor2D (Tests)

Definition at line 60 of file vtkActor2D.h.

## Public Types
typedef vtkProp | Superclass
## Public Methods
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
vtkProperty2D * | GetProperty ()
virtual void | SetProperty (vtkProperty2D *)
void | SetDisplayPosition (int, int)
unsigned long | GetMTime ()
virtual void | GetActors2D (vtkPropCollection *pc)
void | ShallowCopy (vtkProp *prop)
virtual void | ReleaseGraphicsResources (vtkWindow *)
int | RenderOverlay (vtkViewport *viewport)
int | RenderOpaqueGeometry (vtkViewport *viewport)
int | RenderTranslucentGeometry (vtkViewport *viewport)
virtual void | SetMapper (vtkMapper2D *mapper)
virtual vtkMapper2D * | GetMapper ()
virtual void | SetLayerNumber (int)
virtual int | GetLayerNumber ()
virtual vtkCoordinate * | GetPositionCoordinate ()
virtual void | SetPosition (float x[2])
virtual void | SetPosition (float x, float y)
virtual float * | GetPosition ()
virtual vtkCoordinate * | GetPosition2Coordinate ()
virtual void | SetPosition2 (float x[2])
virtual void | SetPosition2 (float x, float y)
virtual float * | GetPosition2 ()
void | SetWidth (float w)
float | GetWidth ()
void | SetHeight (float h)
float | GetHeight ()
virtual vtkCoordinate * | GetActualPositionCoordinate (void)
virtual vtkCoordinate * | GetActualPosition2Coordinate (void)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkActor2D * | SafeDownCast (vtkObject *o)
vtkActor2D * | New ()
## Protected Methods
| vtkActor2D ()
| ~vtkActor2D ()
## Protected Attributes
vtkMapper2D * | Mapper
int | LayerNumber
vtkProperty2D * | Property
vtkCoordinate * | PositionCoordinate
vtkCoordinate * | Position2Coordinate

## Member Typedef Documentation

typedef vtkProp vtkActor2D::Superclass

| Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor. Definition at line 64 of file vtkActor2D.h.

## Constructor & Destructor Documentation

vtkActor2D::vtkActor2D | ( |  | ) | `[protected]`

vtkActor2D::~vtkActor2D | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkActor2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor.

virtual const char* vtkActor2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor.

int vtkActor2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor.

virtual int vtkActor2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor.

vtkActor2D* vtkActor2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor.

vtkActor2D* vtkActor2D::New | ( |  | ) | `[static]`

| Creates an actor2D with the following defaults: position (0,0) (coordinate system is viewport); at layer 0. Reimplemented from vtkObject. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkScaledTextActor, and vtkTextActor.

int vtkActor2D::RenderOverlay | ( | vtkViewport * | viewport | ) | `[virtual]`

| Support the standard render methods. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, and vtkTextActor.

int vtkActor2D::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| Support the standard render methods. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, and vtkTextActor.

int vtkActor2D::RenderTranslucentGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| Support the standard render methods. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, and vtkTextActor.

virtual void vtkActor2D::SetMapper | ( | vtkMapper2D * | mapper | ) | `[virtual]`

| Set/Get the vtkMapper2D which defines the data to be drawn. Reimplemented in vtkTextActor.

virtual vtkMapper2D* vtkActor2D::GetMapper | ( |  | ) | `[virtual]`

| Set/Get the vtkMapper2D which defines the data to be drawn.

virtual void vtkActor2D::SetLayerNumber | ( | int |  | ) | `[virtual]`

| Set/Get the layer number in the overlay planes into which to render.

virtual int vtkActor2D::GetLayerNumber | ( |  | ) | `[virtual]`

| Set/Get the layer number in the overlay planes into which to render.

vtkProperty2D* vtkActor2D::GetProperty | ( |  | ) |

| Returns this actor's vtkProperty2D. Creates a property if one doesn't already exist.

virtual void vtkActor2D::SetProperty | ( | vtkProperty2D * |  | ) | `[virtual]`

| Set this vtkProp's vtkProperty2D.

virtual vtkCoordinate* vtkActor2D::GetPositionCoordinate | ( |  | ) | `[virtual]`

| Get the PositionCoordinate instance of vtkCoordinate. This is used for for complicated or relative positioning. The position variable controls the lower left corner of the Actor2D Referenced by vtkAxisActor2D::GetPoint1Coordinate().

virtual void vtkActor2D::SetPosition | ( | float | x[2] | ) | `[virtual]`

| Get the PositionCoordinate instance of vtkCoordinate. This is used for for complicated or relative positioning. The position variable controls the lower left corner of the Actor2D Referenced by vtkAxisActor2D::SetPoint1().

virtual void vtkActor2D::SetPosition | ( | float | x,
|  | float | y
| ) | `[virtual]`

| Get the PositionCoordinate instance of vtkCoordinate. This is used for for complicated or relative positioning. The position variable controls the lower left corner of the Actor2D

virtual float* vtkActor2D::GetPosition | ( |  | ) | `[virtual]`

| Get the PositionCoordinate instance of vtkCoordinate. This is used for for complicated or relative positioning. The position variable controls the lower left corner of the Actor2D Referenced by vtkAxisActor2D::GetPoint1().

void vtkActor2D::SetDisplayPosition | ( | int | ,
|  | int |
| ) |

| Set the Prop2D's position in display coordinates.

virtual vtkCoordinate* vtkActor2D::GetPosition2Coordinate | ( |  | ) | `[virtual]`

| Access the Position2 instance variable. This variable controls the upper right corner of the Actor2D. It is by default relative to Position and in normalized viewport coordinates. Some 2D actor subclasses ignore the position2 variable Referenced by vtkAxisActor2D::GetPoint2Coordinate().

virtual void vtkActor2D::SetPosition2 | ( | float | x[2] | ) | `[virtual]`

| Access the Position2 instance variable. This variable controls the upper right corner of the Actor2D. It is by default relative to Position and in normalized viewport coordinates. Some 2D actor subclasses ignore the position2 variable Referenced by vtkAxisActor2D::SetPoint2().

virtual void vtkActor2D::SetPosition2 | ( | float | x,
|  | float | y
| ) | `[virtual]`

| Access the Position2 instance variable. This variable controls the upper right corner of the Actor2D. It is by default relative to Position and in normalized viewport coordinates. Some 2D actor subclasses ignore the position2 variable

virtual float* vtkActor2D::GetPosition2 | ( |  | ) | `[virtual]`

| Access the Position2 instance variable. This variable controls the upper right corner of the Actor2D. It is by default relative to Position and in normalized viewport coordinates. Some 2D actor subclasses ignore the position2 variable Referenced by vtkAxisActor2D::GetPoint2().

void vtkActor2D::SetWidth | ( | float | w | ) |

| Set/Get the height and width of the Actor2D. The value is expressed as a fraction of the viewport. This really is just another way of setting the Position2 instance variable.

float vtkActor2D::GetWidth | ( |  | ) |

| Set/Get the height and width of the Actor2D. The value is expressed as a fraction of the viewport. This really is just another way of setting the Position2 instance variable.

void vtkActor2D::SetHeight | ( | float | h | ) |

| Set/Get the height and width of the Actor2D. The value is expressed as a fraction of the viewport. This really is just another way of setting the Position2 instance variable.

float vtkActor2D::GetHeight | ( |  | ) |

| Set/Get the height and width of the Actor2D. The value is expressed as a fraction of the viewport. This really is just another way of setting the Position2 instance variable.

unsigned long vtkActor2D::GetMTime | ( |  | ) | `[virtual]`

| Return this objects MTime. Reimplemented from vtkObject. Reimplemented in vtkXYPlotActor.

virtual void vtkActor2D::GetActors2D | ( | vtkPropCollection * | pc | ) | `[virtual]`

| For some exporters and other other operations we must be able to collect all the actors or volumes. These methods are used in that process. Reimplemented from vtkProp.

void vtkActor2D::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of this vtkActor2D. Overloads the virtual vtkProp method. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkLegendBoxActor, vtkAxisActor2D, vtkScalarBarActor, and vtkTextActor.

virtual void vtkActor2D::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkProp. Reimplemented in vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, and vtkTextActor.

virtual vtkCoordinate* vtkActor2D::GetActualPositionCoordinate | ( | void |  | ) | `[inline, virtual]`

| Return the actual vtkCoordinate reference that the mapper should use to position the actor. This is used internally by the mappers and should be overridden in specialized subclasses and otherwise ignored. Reimplemented in vtkTextActor. Definition at line 145 of file vtkActor2D.h.

virtual vtkCoordinate* vtkActor2D::GetActualPosition2Coordinate | ( | void |  | ) | `[inline, virtual]`

| Return the actual vtkCoordinate reference that the mapper should use to position the actor. This is used internally by the mappers and should be overridden in specialized subclasses and otherwise ignored. Definition at line 153 of file vtkActor2D.h.

## Member Data Documentation

vtkMapper2D* vtkActor2D::Mapper`[protected]`

| Definition at line 161 of file vtkActor2D.h.

int vtkActor2D::LayerNumber`[protected]`

| Definition at line 162 of file vtkActor2D.h.

vtkProperty2D* vtkActor2D::Property`[protected]`

| Definition at line 163 of file vtkActor2D.h.

vtkCoordinate* vtkActor2D::PositionCoordinate`[protected]`

| Definition at line 164 of file vtkActor2D.h.

vtkCoordinate* vtkActor2D::Position2Coordinate`[protected]`

| Definition at line 165 of file vtkActor2D.h.

The documentation for this class was generated from the following file:

- Common/vtkActor2D.h